# -*- coding: utf-8 -*-

# 获取客户端引擎API模块
import mod.client.extraClientApi as clientApi
# 获取客户端system的基类ClientSystem
ClientSystem = clientApi.GetClientSystemCls()

# 在modMain中注册的Client System类
class TutorialClientSystem(ClientSystem):

    # 客户端System的初始化函数
    def __init__(self, namespace, systemName):
        # 首先初始化TutorialClientSystem的基类ClientSystem
        super(TutorialClientSystem, self).__init__(namespace, systemName)
        self.ListenEvent()
        print "==== TutorialClientSystem Init ===="

    def ListenEvent(self):
        self.ListenForEvent("TutorialMod", "TutorialServerSystem", "CreateTextEvent", self, self.CreateTextEvent)


    def CreateTextEvent(self,args):
        ListId=args["ListId"]
        count=args["count"]


        comp = clientApi.GetEngineCompFactory().CreateTextBoard(clientApi.GetLevelId())
        a=comp.CreateTextBoardInWorld("自定义下界", (0.5, 0.4, 0.3, 0.8), (0, 0, 0, 1), True)
        b=comp.CreateTextBoardInWorld("自定义末地", (0.5, 0.4, 0.3, 0.8), (0, 0, 0, 1), True)
        c=comp.CreateTextBoardInWorld("自定义超平坦世界", (0.5, 0.4, 0.3, 0.8), (0, 0, 0, 1), True)
        d=comp.CreateTextBoardInWorld("自定义超平坦下界", (0.5, 0.4, 0.3, 0.8), (0, 0, 0, 1), True)

        z=comp.SetBoardBindEntity(a, ListId[count +0], (0.0, 2.5, 0.0), (0.0, 0.0, 0.0))
        x=comp.SetBoardBindEntity(b, ListId[count +1], (0.0, 2.5, 0.0), (0.0, 0.0, 0.0))
        c=comp.SetBoardBindEntity(c, ListId[count +2], (0.0, 2.5, 0.0), (0.0, 0.0, 0.0))
        d=comp.SetBoardBindEntity(d, ListId[count +3], (0.0, 2.5, 0.0), (0.0, 0.0, 0.0))
    # 函数名为Destroy才会被调用，在这个System被引擎回收的时候会调这个函数来销毁一些内容
    def Destroy(self):
        pass